<?

/*************************************************************************/
/*                                                                       */
/*  NetworkLens                                                          */
/*  Copyright (C) 2002, I-Link Incorporated                              */
/*                                                                       */
/*  This program is free software; you can redistribute it and/or        */
/*  modify it under the terms of the GNU General Public License as       */
/*  published by the Free Software Foundation; either version 2 of the   */
/*  License, or (at your option) any later version.                      */
/*                                                                       */
/*  This program is distributed in the hope that it will be useful,      */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*  GNU General Public License for more details.                         */
/*                                                                       */
/*  You should have received a copy of the GNU General Public License    */
/*  along with this program; if not, write to the Free Software          */
/*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.            */
/*                                                                       */
/*  Login Screen                                                         */
/*                                                                       */
/*  Change Log:                                                          */
/*                                                                       */
/*  2001/12/13  GEB  Initial script                                      */
/*  2002/01/22  GEB  Add last login, last IP address, last query         */
/*  2002/02/20  GEB  Fix header when no return_url is set                */
/*  2002/02/21  GEB  Add the admin flag to the $SESSION                  */
/*                                                                       */
/*************************************************************************/

require_once( "common.php" );

include('adodb/adodb.inc.php');
$conn = &ADONewConnection( $dbtype );
$conn->PConnect( $dbhost, $dbuser, $dbpass, $dbname );

$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;

/*************************************************************************/
/*                                                                       */
/*  If the $username and $password parameters are set, then assume we    */
/*  we reached this page via a post operation from itself.  Check the    */
/*  user and password against the user table and set the session         */
/*  variables appropriately.                                             */
/*                                                                       */
/*************************************************************************/

if ( isset( $username ) && isset( $password ) )
{
  $result = &$conn->Execute( "SELECT user, admin, password, fullname, last_query "
                           . "  FROM lens_user "
                           . " WHERE user = '$username' "
                           . "   AND password = '" . md5($password) . "'" );

  if ( ! $result->EOF )
  {
    $SESSION["user"] = $result->fields["user"];
    $SESSION["admin"] = $result->fields["admin"];
    $SESSION["fullname"] = $result->fields["fullname"];
    $SESSION["last_query"] = $result->fields["last_query"];
  }

  $result = &$conn->Execute( "UPDATE lens_user "
                           . "   SET last_login = NOW(), "
                           . "       last_ip = '$REMOTE_ADDR' "
                           . " WHERE user = '$username'" );

  $result->Close();
  $conn->Close();

  if ( isset( $SESSION["return_url"] ) )
    header( "Location: " . $SESSION["return_url"] );
  else
    header( "Location: /" );

  unset( $SESSION["return_url"] );
}

/*************************************************************************/
/*                                                                       */
/*  By this point, no parameters are set, so we present a form for the   */
/*  user to enter a user ID and password.                                */
/*                                                                       */
/*************************************************************************/

?>

<HTML>

<HEAD>
<TITLE>NetworkLens Login</TITLE>
<LINK REL=StyleSheet HREF="style.css" TYPE="text/css">
</HEAD>

<body bgcolor="#000000" onLoad="document.loginForm.username.focus()">

<?
include('header.php');
?>

<BR><BR>
<FORM ACTION="login.php" METHOD="post" NAME="loginForm">
<CENTER>
<TABLE WIDTH=500 HEIGHT=200 CELLPADDING=0 CELLSPACING=0 BORDER=0>
<TR VALIGN=TOP>
<TD BGCOLOR="#FFFFFF">
<IMG SRC="images/trans.gif" WIDTH=1 HEIGHT=25><BR>
<IMG SRC="images/trans.gif" WIDTH=50 HEIGHT=1>
<IMG SRC="images/large-logo.gif">
</TD>
<TD BGCOLOR="#FFFFFF" ALIGN=RIGHT>
<IMG SRC="images/trans.gif" WIDTH=1 HEIGHT=50><BR>
<P CLASS=login>Username:
<IMG SRC="images/trans.gif" WIDTH=5 HEIGHT=1>
<INPUT TYPE=TEXT Name="username" SIZE=10>
<IMG SRC="images/trans.gif" WIDTH=25 HEIGHT=1><BR>
<P CLASS=login>Password:
<IMG SRC="images/trans.gif" WIDTH=5 HEIGHT=1>
<INPUT TYPE=PASSWORD Name="password" SIZE=10 onBlur="document.loginForm.submit()">
<IMG SRC="images/trans.gif" WIDTH=25 HEIGHT=1><BR>
<INPUT TYPE=HIDDEN NAME="login" VALUE="Login">
<INPUT TYPE=IMAGE SRC="images/trans.gif" WIDTH=1 HEIGHT=1 ALIGN=MIDDLE BORDER=0>
</TD>
</TR>
</TABLE>
</CENTER>
</FORM>
<BR>

<?
include('footer.php');
?>

</body>
</html>

<?

/*************************************************************************/
/*                                                                       */
/*************************************************************************/

?>
